Subject: Re: [PATCH 0/3] add a message-id header to git

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Thu, 16 Oct 2025 21:26:43 +0200

On Thu, Oct 16, 2025, at 20:57, James Bottomley wrote:
> There has been some debate in the kernel community about how to link
> commits back to email, which is the basis of a lot of scripting we do
>
> https://lore.kernel.org/ksummit/[email-masked]/
>
> However, this problem is one that goes beyond the kernel, so having
> git always track the message-id of the email used to create the commit
> will be useful beyond our tools as well.  The design of this
> message-id header is that it never shows up except in --pretty=raw
> output, so it will never be ordinarily visible, but can be extracted
> by scripts.  Some projects use the -m flag of git-am to add the
> Message-Id to the trailers and for backwards compatibility, this
> functionality is not changed although it is hoped that it is now
> redundant.

Related discussions: “Change-ID”:

https://lore.kernel.org/git/[email-masked]/

https://lore.kernel.org/git/[email-masked]/

https://lore.kernel.org/git/[email-masked]/

Inspired by Gerrit, Git Butler, Jujutsu, according to the last link.